Register an MCP OAuth client
POST
/oauth/register
const url = 'https://api.muninx.com/oauth/register';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"redirect_uris":["https://example.com"],"client_name":"example","token_endpoint_auth_method":"none","grant_types":["example"],"response_types":["example"],"scope":"muninx.mcp"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/oauth/register \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "redirect_uris": [ "https://example.com" ], "client_name": "example", "token_endpoint_auth_method": "none", "grant_types": [ "example" ], "response_types": [ "example" ], "scope": "muninx.mcp" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
redirect_uris
required
Array<string>
client_name
string
token_endpoint_auth_method
string
grant_types
Array<string>
response_types
Array<string>
scope
string
Responses
Section titled “ Responses ”Client registered
Media type application/json
object
redirect_uris
required
Array<string>
client_name
string
token_endpoint_auth_method
string
grant_types
Array<string>
response_types
Array<string>
scope
string
client_id
required
string
Example
{ "token_endpoint_auth_method": "none", "scope": "muninx.mcp"}Problem response
Media type application/problem+json
object
key
additional properties
any
Example generated
{}